﻿using Models;
using Endpoint;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LocalEndpoint
{
    internal class AccountManager : IAccountManager
    {
        private static readonly Uri DEFAULT_ACCOUNT_IMAGE = new Uri("https://www.pngkey.com/png/full/115-1150152_default-profile-picture-avatar-png-green.png");

        private Account userAccount = new Account(new User(DEFAULT_ACCOUNT_IMAGE, "Stub Account"), "test@example.com");
        private string userPassword = "123456";

        public Account? Login(string email, string password)
        {
            if (userAccount.Email == email && userPassword == password)
            {
                return userAccount;
            }
            return null;
        }


        public Account? Register(string email, string username, string password)
        {
            if (email == null || username == null || password == null)
                return null;

            userAccount = new Account(new User(DEFAULT_ACCOUNT_IMAGE, username), email);
            userPassword = password;
            return userAccount;
        }
    }
}
